<?php

namespace Drupal\schema_education\Plugin\metatag\Tag;

use Drupal\schema_metatag\Plugin\metatag\Tag\SchemaNameBase;

/**
 * Provides a plugin for the 'typicalCreditsPerTerm' meta tag.
 *
 * - 'id' should be a globally unique id.
 * - 'name' should match the Schema.org element name.
 * - 'group' should match the id of the group that defines the Schema.org type.
 *
 * @MetatagTag(
 *   id = "schema_educational_occupational_program_typical_credits_per_term",
 *   label = @Translation("typicalCreditsPerTerm"),
 *   description = @Translation("RECOMMENDED BY GOOGLE. The number of credits a full-time student is expected to take."),
 *   name = "typicalCreditsPerTerm",
 *   group = "schema_educational_occupational_program",
 *   weight = 0,
 *   type = "string",
 *   property_type = "text",
 *   tree_parent = {},
 *   tree_depth = -1,
 *   secure = FALSE,
 *   multiple = FALSE
 * )
 */
class SchemaEducationalOccupationalProgramTypicalCreditsPerTerm extends SchemaNameBase {

}
