<?php

namespace Drupal\Tests\schema_education\Functional;

use Drupal\Tests\schema_metatag\Functional\SchemaMetatagTagsTestBase;

/**
 * Tests that each of the Schema Metatag tags work correctly.
 *
 * @group schema_metatag
 * @group schema_education
 */
class SchemaEducationTest extends SchemaMetatagTagsTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = ['schema_education'];

  /**
   * {@inheritdoc}
   */
  public $moduleName = 'schema_education';

  /**
   * {@inheritdoc}
   */
  public $schemaTagsNamespace = '\\Drupal\\schema_education\\Plugin\\metatag\\Tag\\';

  /**
   * {@inheritdoc}
   */
  public $schemaTags = [
    'schema_education_application_deadline' => 'SchemaEducationalOccupationalProgramApplicationDeadline',
    'schema_education_application_start_date' => 'SchemaEducationalOccupationalProgramApplicationStartDate',
    'schema_education_day_of_week' => 'SchemaEducationalOccupationalProgramDayOfWeek',
    'schema_education_description' => 'SchemaEducationalOccupationalProgramDescription',
    'schema_education_educational_credential_awarded' => 'SchemaEducationalOccupationalProgramEducationalCredentialAwarded',
    'schema_education_educational_program_mode' => 'SchemaEducationalOccupationalProgramEducationalProgramMode',
    'schema_education_end_date' => 'SchemaEducationalOccupationalProgramEndDate',
    'schema_education_financial_aid_eligible' => 'SchemaEducationalOccupationalProgramFinancialAidEligible',
    'schema_education_identifier' => 'SchemaEducationalOccupationalProgramIdentifier',
    'schema_education_maximum_enrollment' => 'SchemaEducationalOccupationalProgramMaximumEnrollment',
    'schema_education_name' => 'SchemaEducationalOccupationalProgramName',
    'schema_education_number_of_credits' => 'SchemaEducationalOccupationalProgramNumberOfCredits',
    'schema_education_occupational_category' => 'SchemaEducationalOccupationalProgramOccupationalCategory',
    'schema_education_occupational_credential_awarded' => 'SchemaEducationalOccupationalProgramOccupationalCredentialAwarded',
    'schema_education_offers' => 'SchemaEducationalOccupationalProgramOffers',
    'schema_education_program_prerequisites' => 'SchemaEducationalOccupationalProgramProgramPrerequisites',
    'schema_education_program_type' => 'SchemaEducationalOccupationalProgramProgramType',
    'schema_education_provider' => 'SchemaEducationalOccupationalProgramProvider',
    'schema_education_salary_upon_completion' => 'SchemaEducationalOccupationalProgramSalaryUponCompletion',
    'schema_education_start_date' => 'SchemaEducationalOccupationalProgramStartDate',
    'schema_education_term_duration' => 'SchemaEducationalOccupationalProgramTermDuration',
    'schema_education_terms_per_year' => 'SchemaEducationalOccupationalProgramTermsPerYear',
    'schema_education_time_of_day' => 'SchemaEducationalOccupationalProgramTimeOfDay',
    'schema_education_time_to_complete' => 'SchemaEducationalOccupationalProgramTimeToComplete',
    'schema_education_training_salary' => 'SchemaEducationalOccupationalProgramTrainingSalary',
    'schema_education_type' => 'SchemaEducationalOccupationalProgramType',
    'schema_education_typical_credits_per_term' => 'SchemaEducationalOccupationalProgramTypicalCreditsPerTerm',
    'schema_education_url' => 'SchemaEducationalOccupationalProgramUrl',
  ];

}
